SUSE 5014 Published by

A xen security update has been released for openSUSE Leap 15.5 and SUSE Linux Enterprise.



SUSE-SU-2023:3447-1: moderate: Security update for xen


# Security update for xen

Announcement ID: SUSE-SU-2023:3447-1
Rating: moderate
References:

* #1027519
* #1212684
* #1213616
* #1214082
* #1214083

Cross-References:

* CVE-2022-40982
* CVE-2023-20569
* CVE-2023-20593

CVSS scores:

* CVE-2022-40982 ( SUSE ): 6.2 CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
* CVE-2022-40982 ( NVD ): 6.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:N/A:N
* CVE-2023-20569 ( SUSE ): 5.6 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:N/A:N
* CVE-2023-20569 ( NVD ): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
* CVE-2023-20593 ( SUSE ): 6.2 CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
* CVE-2023-20593 ( NVD ): 5.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N

Affected Products:

* Basesystem Module 15-SP5
* openSUSE Leap 15.5
* Server Applications Module 15-SP5
* SUSE Linux Enterprise Desktop 15 SP5
* SUSE Linux Enterprise High Performance Computing 15 SP5
* SUSE Linux Enterprise Real Time 15 SP5
* SUSE Linux Enterprise Server 15 SP5
* SUSE Linux Enterprise Server for SAP Applications 15 SP5

An update that solves three vulnerabilities and has two fixes can now be
installed.

## Description:

This update for xen fixes the following issues:

* CVE-2023-20569: Fixed side channel attack Inception or RAS Poisoning.
(bsc#1214082, XSA-434)
* CVE-2022-40982: Fixed transient execution attack called "Gather Data
Sampling". (bsc#1214083, XSA-435)
* CVE-2023-20593: Fixed a ZenBleed issue in "Zen 2" CPUs that could allow an
attacker to potentially access sensitive information. (bsc#1213616, XSA-433)

## Patch Instructions:

To install this SUSE Moderate update use the SUSE recommended installation
methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

* Server Applications Module 15-SP5
zypper in -t patch SUSE-SLE-Module-Server-Applications-15-SP5-2023-3447=1

* openSUSE Leap 15.5
zypper in -t patch SUSE-2023-3447=1 openSUSE-SLE-15.5-2023-3447=1

* Basesystem Module 15-SP5
zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP5-2023-3447=1

## Package List:

* Server Applications Module 15-SP5 (x86_64)
* xen-tools-debuginfo-4.17.2_02-150500.3.6.1
* xen-tools-4.17.2_02-150500.3.6.1
* xen-devel-4.17.2_02-150500.3.6.1
* xen-debugsource-4.17.2_02-150500.3.6.1
* xen-4.17.2_02-150500.3.6.1
* Server Applications Module 15-SP5 (noarch)
* xen-tools-xendomains-wait-disk-4.17.2_02-150500.3.6.1
* openSUSE Leap 15.5 (aarch64 x86_64 i586)
* xen-libs-4.17.2_02-150500.3.6.1
* xen-tools-domU-debuginfo-4.17.2_02-150500.3.6.1
* xen-devel-4.17.2_02-150500.3.6.1
* xen-tools-domU-4.17.2_02-150500.3.6.1
* xen-libs-debuginfo-4.17.2_02-150500.3.6.1
* xen-debugsource-4.17.2_02-150500.3.6.1
* openSUSE Leap 15.5 (x86_64)
* xen-libs-32bit-debuginfo-4.17.2_02-150500.3.6.1
* xen-libs-32bit-4.17.2_02-150500.3.6.1
* openSUSE Leap 15.5 (aarch64 x86_64)
* xen-4.17.2_02-150500.3.6.1
* xen-tools-debuginfo-4.17.2_02-150500.3.6.1
* xen-tools-4.17.2_02-150500.3.6.1
* xen-doc-html-4.17.2_02-150500.3.6.1
* openSUSE Leap 15.5 (noarch)
* xen-tools-xendomains-wait-disk-4.17.2_02-150500.3.6.1
* openSUSE Leap 15.5 (aarch64_ilp32)
* xen-libs-64bit-debuginfo-4.17.2_02-150500.3.6.1
* xen-libs-64bit-4.17.2_02-150500.3.6.1
* Basesystem Module 15-SP5 (x86_64)
* xen-libs-4.17.2_02-150500.3.6.1
* xen-tools-domU-debuginfo-4.17.2_02-150500.3.6.1
* xen-tools-domU-4.17.2_02-150500.3.6.1
* xen-debugsource-4.17.2_02-150500.3.6.1
* xen-libs-debuginfo-4.17.2_02-150500.3.6.1

## References:

* https://www.suse.com/security/cve/CVE-2022-40982.html
* https://www.suse.com/security/cve/CVE-2023-20569.html
* https://www.suse.com/security/cve/CVE-2023-20593.html
* https://bugzilla.suse.com/show_bug.cgi?id=1027519
* https://bugzilla.suse.com/show_bug.cgi?id=1212684
* https://bugzilla.suse.com/show_bug.cgi?id=1213616
* https://bugzilla.suse.com/show_bug.cgi?id=1214082
* https://bugzilla.suse.com/show_bug.cgi?id=1214083